local function enableCircle(circle)
    circle.Collidable = true
end

function onBegin()
    setFlag("uumuu_slow", true)
	AttackSfx = celeste.SoundSource()
    while not getFlag("uumuu_static") do wait() end
    playPuppetAnim("attack")
    for _ = 1, 8, 1 do
        local circleAttack = getNewBasicAttackEntity(player.Position + vector2(0, -8), getCircle(15), "uumuuBall", false)
        circleAttack:Add(getEntityTimer(1.5))
        circleAttack:Add(getEntityTimer(0.5, enableCircle))
		circleAttack:Add(AttackSfx:Play("event:/CC/CC_HollowKnight/SFX/Boss SFX/UumuuSingleZap"))
        addEntity(circleAttack)
        wait(0.5)
    end
    playPuppetAnim("idle")
    setFlag("uumuu_follower", true)
    setFlag("uumuu_slow", false)
    wait(2)
end